This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 976739 - cloud-initramfs-tool should require cloud-utils-growpart
cloud-initramfs-tool should require cloud-utils-growpart
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cloud-initramfs-tools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juerg Haefliger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 06:38 EDT by Juerg Haefliger
Modified: 2013-07-15 21:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: cloud-initramfs-tools-0.20-0.4.bzr85.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 20:51:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juerg Haefliger 2013-06-21 06:38:30 EDT
The growpart script has been broken out into its own subpackage cloud-utils-growpart. cloud-initramfs-tools should require this subpackage rather than the parent cloud-utils which pulls in a lot of unnecessary packages.
Comment 1 Juerg Haefliger 2013-06-21 06:42:50 EDT
This has been fixed in cloud-initramfs-tools-0.20-0.4.bzr85.fc19. This also has the added benefit that we can now build the package for i386 and ppc64 RHEL since qemu-img (which doesn't exist for those arches) is not a requirement anymore.


diff --git a/cloud-initramfs-tools.spec b/cloud-initramfs-tools.spec
index 7f86667..64432de 100644
--- a/cloud-initramfs-tools.spec
+++ b/cloud-initramfs-tools.spec
@@ -1,7 +1,7 @@
 Summary:       Cloud image initramfs management utilities
 Name:          cloud-initramfs-tools
 Version:       0.20
-Release:       0.3.bzr85%{?dist}
+Release:       0.4.bzr85%{?dist}
 License:       GPLv3
 Group:         System Environment/Base
 URL:           https://launchpad.net/cloud-initramfs-tools
@@ -20,14 +20,10 @@ dracut-modules-growroot: Automatically resize the root partition on first boot
 Summary:       Automatically resize the root partition on first boot
 Group:         System Environment/Base
 
-Requires:      cloud-utils
+Requires:      cloud-utils-growpart
 Requires:      dracut
 Requires:      util-linux
 
-%if 0%{?rhel}
-# Exclude EPEL architectures that don't have cloud-utils
-ExcludeArch:   i386 ppc64
-%endif
 
 %description -n dracut-modules-growroot
 This dracut module will re-write the partition table of a disk so that the
@@ -67,6 +63,10 @@ make install-epel DESTDIR=$RPM_BUILD_ROOT/%{_prefix}/share/
 
 
 %changelog
+* Mon Jun 17 2013 Juerg Haefliger <juergh@gmail.com> - 0.20-0.4.bzr85
+- Require cloud-utils-growpart (instead of cloud-utils) which provides the
+  growpart script now.
+
 * Tue May  7 2013 Juerg Haefliger <juergh@gmail.com> - 0.20-0.3.bzr85
 - Fix growroot.sh path for EPEL builds.
Comment 2 Fedora Update System 2013-06-21 07:02:23 EDT
cloud-initramfs-tools-0.20-0.4.bzr85.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cloud-initramfs-tools-0.20-0.4.bzr85.fc18
Comment 3 Fedora Update System 2013-06-21 07:39:00 EDT
cloud-initramfs-tools-0.20-0.4.bzr85.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cloud-initramfs-tools-0.20-0.4.bzr85.el6
Comment 4 Fedora Update System 2013-06-21 15:35:49 EDT
Package cloud-initramfs-tools-0.20-0.4.bzr85.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cloud-initramfs-tools-0.20-0.4.bzr85.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10567/cloud-initramfs-tools-0.20-0.4.bzr85.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-03 20:51:43 EDT
cloud-initramfs-tools-0.20-0.4.bzr85.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-07-15 21:06:05 EDT
cloud-initramfs-tools-0.20-0.4.bzr85.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.